elm::toolbar_item Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::toolbar_item Struct Reference

Class toolbar_item. More...

## Public Member Functions
| toolbar_item (Eo *eo)
| Eo Constructor. More...
| toolbar_item (std::nullptr_t)
| nullptr_t Constructor. More...
| toolbar_item (toolbar_item const &other)
| Copy Constructor.
bool | icon_memfile_set (const void *img_, size_t size_,::efl::eina::string_view format_,::efl::eina::string_view key_) const
bool | icon_file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
Elm_Toolbar_Item_State * | state_add (::efl::eina::string_view icon_,::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
bool | state_del (Elm_Toolbar_Item_State *state_) const
void | show (Elm_Toolbar_Item_Scrollto_Type scrollto_) const
void | bring_in (Elm_Toolbar_Item_Scrollto_Type scrollto_) const
void | menu_set (bool menu_) const
| toolbar_item (::efl::eo::parent_type _p)
| Constructs a new elm::toolbar_item object. More...

## Detailed Description

Class toolbar_item.

## Constructor & Destructor Documentation

elm::toolbar_item::toolbar_item | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::toolbar_item object.

Constructs a new elm::toolbar_item object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::toolbar_item my_toolbar_item(efl::eo::parent = parent_object);

See also
  toolbar_item(Eo* eo)

elm::toolbar_item::toolbar_item | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::toolbar_item::toolbar_item | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::toolbar_item::bring_in | ( | Elm_Toolbar_Item_Scrollto_Type | scrollto_ | ) | const

Parameters

  scrollto |

bool elm::toolbar_item::icon_file_set | ( | ::efl::eina::string_view | file_,
|  | ::efl::eina::string_view | key_
| ) |  | const

Parameters

  file |
  key |

bool elm::toolbar_item::icon_memfile_set | ( | const void * | img_,
|  | size_t | size_,
|  | ::efl::eina::string_view | format_,
|  | ::efl::eina::string_view | key_
| ) |  | const

Parameters

  img |
  size |
  format |
  key |

void elm::toolbar_item::menu_set | ( | bool | menu_ | ) | const

Parameters

  menu |

void elm::toolbar_item::show | ( | Elm_Toolbar_Item_Scrollto_Type | scrollto_ | ) | const

Parameters

  scrollto |

Elm_Toolbar_Item_State* elm::toolbar_item::state_add | ( | ::efl::eina::string_view | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  icon |
  label |
  func |
  data |

bool elm::toolbar_item::state_del | ( | Elm_Toolbar_Item_State * | state_ | ) | const

Parameters

  state |